/*
 * Copyright (c) 2011 - 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_APPFW_I18N_DOC_H__
#define __TIZEN_APPFW_I18N_DOC_H__


 /**
 * @ingroup CAPI_APPLICATION_MODULE
 * @defgroup CAPI_I18N_MODULE Internationalization
 * @brief The Internationalization API provides functions to write multilingual applications through GNU gettext.
 * @section CAPI_I18_MODULE_HEADER Required Header
 *   \#include <app.h>
 * @section CAPI_I18N_MODULE_OVERVIEW Overview
 * The @ref CAPI_I18N_MODULE API provides functions to write multilingual applications through GNU gettext.
 * <p>
 * Tizen provides all the features of the GNU gettext library through the Internationalization API
 * and allows you to manage message catalogs from SDK.
 * <p>
 * The Internationalization API consists of i18n_get_text() for message translation
 * and macros to use i18n_get_text() in an easy to use form.
 * These macros allow you to mark strings for translation in source codes,
 * which are replaced with the translated strings at runtime.
 * <p>
 */


#endif /* __TIZEN_APPFW_I18N_DOC_H__ */
